# Class Rockets

java.lang.Object
org.jmol.shape.Shape
org.jmol.shapebio.BioShapeCollection
org.jmol.shapebio.Rockets

Direct Known Subclasses:
  `Cartoon`

public class Rockets extends BioShapeCollection

## Field Summary

### Fields inherited from class BioShapeCollection

`bioShapes`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Rockets()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initShape()`
`protected void`
`setTurn()`

### Methods inherited from class BioShapeCollection

`findNearestAtomIndex, getBioShape, getShapeState, getSizeG, initModelSet, replaceGroup, setAtomClickability, setModelVisibilityFlags, setPropBSC, setProperty, setShapeSizeRD`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getTranslucentLabel, initializeShape, setModelSet, setProperties, setPropS, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Rockets

public Rockets()

## Method Details

### initShape

public void initShape()

Overrides:
  `initShape` in class `BioShapeCollection`

### setTurn

protected void setTurn()